From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/sphinxcontrib-trio/
Date: Mon, 3 Feb 2020 18:07:51 +0000 (UTC) [thread overview]
Message-ID: <1580751921.7d099febc40ace52dec92b312a0292bdcaa394e4.andrewammerlaan@gentoo> (raw)
commit: 7d099febc40ace52dec92b312a0292bdcaa394e4
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Feb 3 17:45:21 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Feb 3 17:45:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7d099feb
dev-python/sphinxcontrib-trio: Make Sphinx better at docum. func. and meth.
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/sphinxcontrib-trio/Manifest | 1 +
dev-python/sphinxcontrib-trio/metadata.xml | 9 ++++++++
.../sphinxcontrib-trio-1.1.0.ebuild | 26 ++++++++++++++++++++++
3 files changed, 36 insertions(+)
diff --git a/dev-python/sphinxcontrib-trio/Manifest b/dev-python/sphinxcontrib-trio/Manifest
new file mode 100644
index 0000000..0992ef5
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-trio-1.1.0.tar.gz 23372 BLAKE2B 3b9c651ea575efd53848135533e531f25aeb0b45ee3d57722e7bed324c13fe7bea5eb4a1ac529913a999241c3346f8eee3d6c5e68a2ac7a1676b1e721e3c923d SHA512 d7de31d396aaee2836f854bdeba75eb5748890428601ed9f6aca1386c8c7b347ff86680bbe7257387d461f2ebdd98a6145d4887277263d40fff5450cd31e38a1
diff --git a/dev-python/sphinxcontrib-trio/metadata.xml b/dev-python/sphinxcontrib-trio/metadata.xml
new file mode 100644
index 0000000..628ab20
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.0.ebuild b/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.0.ebuild
new file mode 100644
index 0000000..e592dc2
--- /dev/null
+++ b/dev-python/sphinxcontrib-trio/sphinxcontrib-trio-1.1.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Make Sphinx better at documenting Python functions and methods"
+HOMEPAGE="https://github.com/python-trio/sphinxcontrib-trio"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+ dev-python/contextlib2[${PYTHON_USEDEP}]
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
next reply other threads:[~2020-02-03 18:07 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-03 18:07 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-03-27 17:53 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/sphinxcontrib-trio/ Alessandro Barbieri
2020-04-12 16:39 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-12 16:16 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-05-06 17:28 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-05-06 17:17 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-06-15 11:34 Andrew Ammerlaan
2021-05-03 23:33 Anna Vyalkova
2021-05-24 10:01 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1580751921.7d099febc40ace52dec92b312a0292bdcaa394e4.andrewammerlaan@gentoo \
--to=andrewammerlaan@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox